--SET the Max Spawnable plane per type (Easy, Medium, Hard)
Max_Spawnable = 12

-- SPAWN EASY PLANE
if A2A_Skill == "Easy" then
Spawn_A2A_Easy:InitLimit( Max_Spawnable , 0 )
Spawn_A2A_Easy:InitGrouping(A2A_Limit)
Spawn_A2A_Easy:OnSpawnGroup(
  function (SpawnGroup)
          local PatrolZone = ZONE:New( "Patrol Zone" )
          AICapZone = AI_CAP_ZONE:New( PatrolZone, 300, 10000, 250, 500 )
          AICapZone:SetControllable( SpawnGroup )
          AICapZone:__Start( 1 )
          SpawnGroup:MessageToAll("Easy level group of 2 planes has been spawned" , 10 ,"Alert:")
  end)
Spawn_A2A_Easy:SpawnInZone( ZoneTable[math.random(1,#ZoneTable)], true, 300, 10000 )  
end

-- SPAWN MEDIUM PLANE
if A2A_Skill == "Medium" then
Spawn_A2A_Medium:InitLimit( Max_Spawnable, 0 )
Spawn_A2A_Medium:InitGrouping(A2A_Limit)
Spawn_A2A_Medium:OnSpawnGroup(
  function (SpawnGroup)
          local PatrolZone = ZONE:New( "Patrol Zone" )
          AICapZone = AI_CAP_ZONE:New( PatrolZone, 300, 10000, 250, 500 )
          AICapZone:SetControllable( SpawnGroup )
          AICapZone:__Start( 1 )
          SpawnGroup:MessageToAll("Medium Level Plane has been spawned" , 10 ,"Alert:")
  end)
Spawn_A2A_Medium:SpawnInZone( ZoneTable[math.random(1,#ZoneTable)], true, 300, 10000 )
end

-- SPAWN HARD PLANE
if A2A_Skill == "Hard" then
Spawn_A2A_Hard:InitLimit( Max_Spawnable, 0 )
Spawn_A2A_Hard:InitGrouping(A2A_Limit)
Spawn_A2A_Hard:OnSpawnGroup(
  function (SpawnGroup)
          local PatrolZone = ZONE:New( "Patrol Zone" )
          AICapZone = AI_CAP_ZONE:New( PatrolZone, 300, 10000, 250, 500 )
          AICapZone:SetControllable( SpawnGroup )
          AICapZone:__Start( 1 )
          SpawnGroup:MessageToAll("Hard Level Plane has been spawned" , 10 ,"Alert:")
  end)
Spawn_A2A_Hard:SpawnInZone( ZoneTable[math.random(1,#ZoneTable)], true, 300, 10000 )
end

-- SPAWN CAS PLANE
if A2A_Skill == "CAS" then
Targets = Spawn_BLUE_Targets:Spawn()
Spawn_Red_CAS:OnSpawnGroup(
  function (SpawnGroup)
          local CASEngagementZone = ZONE:New( "Engagement Zone" )
          local PatrolZone = ZONE:New( "Patrol Zone" )
          AICasZone = AI_CAS_ZONE:New( PatrolZone, 500, 1000, 500, 600, CASEngagementZone )
          AICasZone:SetControllable( SpawnGroup )
          AICasZone:__Start( 1 )
          AICasZone:__Engage( 600 )
          SpawnGroup:MessageToAll("Su25 have been spawned" , 10 ,"Alert:")
      
  end)
Spawn_Red_CAS_GROUP = Spawn_Red_CAS:SpawnInZone( ZoneTable[math.random(1,#ZoneTable)], true, 300, 10000 )
Spawn_Red_CAS_Escort_GROUP = Spawn_Red_CAS_Escort:SpawnFromVec3(Spawn_Red_CAS_GROUP:GetRandomVec3(1000))
local escortVec3 = POINT_VEC3:New(-200, 0, 200)
local escortTask = Spawn_Red_CAS_Escort_GROUP:TaskEscort(Spawn_Red_CAS_GROUP, escortVec3, nil, nil, 48280, {"Air"})
Spawn_Red_CAS_Escort_GROUP:PushTask(escortTask, 5)
end

-- Check every 60 seconds whether the Targets have been eliminated.
-- When the trigger completed has been fired, the Plane will go back to the Patrol Zone.
Check, CheckScheduleID = SCHEDULER:New(nil,
  function()
    if Targets:IsAlive() and Targets:GetSize() > 5 then
      HQ_Blue:MessageToAll( Targets:GetSize() .. "_targets still alive.", 15, "Test Mission: " )
      BASE:E( "Test Mission: " .. Targets:GetSize() .. " targets left to be destroyed.")
    else
      HQ_Blue:MessageToAll( "MISSION FAILED: All the vehicles have been destroyed.", 15, "Test Mission: " )
      BASE:E( "Test Mission: The required targets are destroyed." )
      AICasZone:__Accomplish( 1 ) -- Now they should fly back to the patrolzone and patrol.
    end
  end, {}, 20, 60, 0.2 )

-- When the targets in the zone are destroyed, (see scheduled function), the planes will return home ...
function AICasZone:OnAfterAccomplish( Controllable, From, Event, To )
  BASE:E( "Test Mission: Sending the Su-25T back to base." )
  Check:Stop( CheckScheduleID )
  AICasZone:__RTB( 1 )
end

