
--TEMPLATE
A2A_Easy_Template = {
 "A2A_Easy_Template #001",
 "A2A_Easy_Template #002",
 "A2A_Easy_Template #003",
 "A2A_Easy_Template #004",
 "A2A_Easy_Template #005",
 "A2A_Easy_Template #006"
}

A2A_Medium_Template = {
 "A2A_Medium_Template #001",
 "A2A_Medium_Template #002",
 "A2A_Medium_Template #003",
 "A2A_Medium_Template #004",
 "A2A_Medium_Template #005",
 "A2A_Medium_Template #006"
}

A2A_Hard_Template = {
 "A2A_Hard_Template #001",
 "A2A_Hard_Template #002",
 "A2A_Hard_Template #003",
 "A2A_Hard_Template #004",
 "A2A_Hard_Template #005",
 "A2A_Hard_Template #006"
}

A2A_Escort_Template = {
 "A2A_Escort_Template #001",
 "A2A_Escort_Template #002",
 "A2A_Escort_Template #003",
 "A2A_Escort_Template #004"
}

No_A2A_Easy = 999

-- Create a zone table of the 12 zones.
ZoneTable = { ZONE:New( "Zone1" ),
              ZONE:New( "Zone2" ),
              ZONE:New( "Zone3" ),
              ZONE:New( "Zone4" ),
              ZONE:New( "Zone5" ),
              ZONE:New( "Zone6" ),
              ZONE:New( "Zone7" ),
              ZONE:New( "Zone8" ),
              ZONE:New( "Zone9" ),
              ZONE:New( "Zone10" ),
              ZONE:New( "Zone11" ),
              ZONE:New( "Zone12" ) }

Spawn_A2A_Easy = SPAWN:New( "A2A_Easy" )
Spawn_A2A_Easy:InitRandomizeTemplate ( A2A_Easy_Template )
Spawn_A2A_Easy:InitCleanUp( 30 )

Spawn_A2A_Medium = SPAWN:New( "A2A_Medium" )
Spawn_A2A_Medium:InitCleanUp( 30 )
Spawn_A2A_Medium:InitRandomizeTemplate ( A2A_Medium_Template )

Spawn_A2A_Hard = SPAWN:New( "A2A_Hard" )
Spawn_A2A_Hard:InitCleanUp( 30 )
Spawn_A2A_Hard:InitRandomizeTemplate ( A2A_Hard_Template )

-- SPAWN AWACS BLUE
Spawn_AWACS_BLUE = SPAWN:New("AWACS BLUE"):InitLimit( 1, 0 )
Spawn_AWACS_BLUE:InitRepeatOnEngineShutDown()
Spawn_AWACS_BLUE:InitCleanUp( 30 )
Spawn_AWACS_BLUE:SpawnScheduled(30,0)

-- SPAWN AWACS RED
Spawn_AWACS_RED = SPAWN:New("RecceRed #001"):InitLimit( 1, 0 )
Spawn_AWACS_RED:InitRepeatOnEngineShutDown()
Spawn_AWACS_RED:InitCleanUp( 30 )
Spawn_AWACS_RED:SpawnScheduled(30,0)

-- SPAWN RED CAS
Spawn_Red_CAS = SPAWN:New( "Red CAS")
Spawn_Red_CAS:InitCleanUp( 30 )
Spawn_Red_CAS:InitLimit( 4, 0 )

-- SPAWN RED CAS ESCORT
Spawn_Red_CAS_Escort = SPAWN:New( "Red CAS Escort")
Spawn_Red_CAS_Escort:InitRandomizeTemplate ( A2A_Escort_Template )
Spawn_Red_CAS_Escort:InitCleanUp( 30 )
Spawn_Red_CAS_Escort:InitLimit( 2, 0 )

-- SPAWN BLUE TARGET for CAS
Spawn_BLUE_Targets = SPAWN:NewWithAlias("BLUE Targets","BLUE Targets")
Spawn_BLUE_Targets:InitRandomizePosition("Engagement Zone",2500,10)


































